import { IXFilter } from './IXFilter';
import { IFilter } from '../common/models';
export declare class CAMLFilter implements IXFilter {
    generateFilter(data: any): any;
    getFilterOperations(): string[];
    generateViewFilter(data: any): any;
    generateField(field: any): any;
    generateDefaultField(): any;
    generateDefaultView(): any;
    generateViewObject(view: any): any;
    getFilterObject(query: any): IFilter[];
    private getWhereClause(query);
    private httpDecode(encoded);
    private generateCAMLFilter(data);
    private generateFilterForField(flt);
    private formatValue(val, type);
}
